Bug 112536 - screen size smaller after return from screensaver
screen size smaller after return from screensaver
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-22 11:14 EST by Tjardick van der Kraan
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 12:42:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tjardick van der Kraan 2003-12-22 11:14:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
When the installer is running and it's waiting for the next CD to be
inserted, the Screensaver kicks in after a certain amount of time and
blanks the screen. 

When comming back from screen saver i miss part of the screen it looks
like the screen has become less wider then before.

Basically everything to the right of the back button over the full
height of the screen is not visible anymore but i can still move my
mouse to that area (the mouse cursur just disappears).

inserting the 2nd cd and hitting enter still allowed me to go thru cd
2 and 3.

I managed to still finish the install by the keyboard using tab and
guess it would be on the next/finish button at the end.

I'm using a Dell Inspiron 8200 with Nvidia Geforce4 (mobile/go) and
512 MB of internal ram. the screen size is 1600x1200.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start installer
2. go thru installer normally
3. at cd2 prompt wait till screensaver kicks in
4. exit screensaver
    

Actual Results:  as described above part of the screen is still there
but not displayed. As if the view windows has become smaller then the
desktop size.

Expected Results:  the full screen should appear as before screensaver

Additional info:
Comment 1 Tjardick van der Kraan 2003-12-22 15:47:09 EST
Seems the problem is a bit deeper then only in the anaconda. Problem
is the same both in gnome and KDE. Might be a driver problem then, so
maybe the bug should be moved to differente category ?
Comment 2 Tjardick van der Kraan 2003-12-22 16:52:15 EST
sorry wasn't very clear in the 'it's the same' message as actually 
it's a bit different. in KDE/GNOME when returning from screensaver, 
the screen is shifted. The redhat 'start'-button is shifted half way 
the screen and the top half of the screen is showing underneat it.

The strange thing is that the mouse still things the 'start' button 
is left hand lower corner. So moving the mouse to left-hand lower 
corner, makes the redhat start icon (floating half way the screen) 
light up.
Comment 4 Mike A. Harris 2004-10-12 12:42:37 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.